# ExtractPart Class Reference
[Dynamic query builder, Classes implemented in PHP's extension.]

Inheritance diagram for ExtractPart:
[legend]

List of all members.

## Public Member Functions

| __construct ($what, $from)
| toMapped (ProtoDAO $dao, JoinCapableQuery $query)
| toDialectString (Dialect $dialect)

## Static Public Member Functions

static | create ($what, $from)

## Private Attributes

| $what = null
| $from = null

## Detailed Description

Definition at line 16 of file ExtractPart.class.php.

## Constructor & Destructor Documentation

ExtractPart::__construct | ( | $ | what,
|  | $ | from |
| ) |  |  |

Definition at line 29 of file ExtractPart.class.php.

References $from, $what, and Assert::isTrue().

Here is the call graph for this function:

## Member Function Documentation

static ExtractPart::create | ( | $ | what,
|  | $ | from |
| ) |  |  | `[static]`

Definition at line 21 of file ExtractPart.class.php.

References $from, and $what.

Referenced by toMapped().

ExtractPart::toDialectString | ( | Dialect $ | dialect | ) |

Implements DialectString.

Definition at line 60 of file ExtractPart.class.php.

ExtractPart::toMapped | ( | ProtoDAO $ | dao,
|  | JoinCapableQuery $ | query |
| ) |  |  |

Returns:
  ExtractPart

Implements MappableObject.

Definition at line 52 of file ExtractPart.class.php.

References create(), and ProtoDAO::guessAtom().

Here is the call graph for this function:

## Member Data Documentation

ExtractPart::$from = null`[private]`

Definition at line 19 of file ExtractPart.class.php.

Referenced by __construct(), and create().

ExtractPart::$what = null`[private]`

Definition at line 18 of file ExtractPart.class.php.

Referenced by __construct(), and create().

The documentation for this class was generated from the following file:

- core/OSQL/ExtractPart.class.php